Do Not Update - macOS Mojave Release

Was this article helpful?
2 out of 6 found this helpful

Let us know what else you'd like to see in this article. to leave a comment below


Comments

8 comments

  • Avatar
    Michael Knight

    Every year we have this problem. Apple updates its operating system, and Genie struggles to function. The problem with this is: that buying a new Apple Mac forces the use of the new operating system and the poor end user just has to take chance. These announcements don't give users any timeline for the eventual solution to the problem. This in turn makes system maintenance difficult. Given Apple releases multiple beta versions of its new operation systems prior to final release, its a little difficult to understand why this occurs.

  • Avatar
    Bridget de Gier

    Hi Michael,

    Thank-you for taking the time to offer your thoughts on this.  I know the delay in having a version of Genie that works reliably on newer Apple operating systems is frustrating and it's something that we're very mindful of here at Genie Solutions.  As the National Support Manager I'm acutely aware of how frustrating it is for our customers to be stuck in this no man's land of needing to buy or upgrade their hardware and not being able to because there is a lack of guarantee that the Genie application will work as required for your practice.

    I followed up with our Product Manager who has advised that we expect to have a version of Genie which offers full compatibility with both High Sierra and Mojave out by the end of this calendar year. 

    In terms of the delay in getting Genie updated to work on the latest Apple operating systems, I can advise that this particular change has required a significant amount of rewriting of our development code to accommodate the changes needed for Genie to work correctly.  We have been working on these changes for a significant period of time and continue to do so.  We've also been testing Genie on the myriad of beta releases Apple released to see what impact they have had on the performance of Genie.  I appreciate that this delay is frustrating but I would like to reassure you that we are working hard to ensure we're continuing to deliver a product that works as our customers require.

  • Avatar
    -

    So if I need new mac hardware (installed with Mojave), I can't buy this for 6-8 weeks?

    I have been through this before when a critical machine imploded in this "window period"

    It seems Genie is a standout from other software providers. There is a somewhat confected surprise when a new mac OS arrives, with a reactive response with the necessary Genie upgrade

    A tighter timeline and frequent updates on the work you're doing may be a customer-friendly approach. 

    Cheers 

    Lee

  • Avatar
    Peter Oram

    I agree with Lee: much more frequent notifications about progress would help keep clients content that _something_ is happening towards a release.

  • Avatar
    A/Prof Peter Cosman

    It's a real problem, not only for those requiring new hardware.  Many of the other apps we use require updates, which in turn only work with Mojave.  So we are forced to chose between Genie and other apps, but we can't have both.  For the cost of annual licensing, you can and should do better.

  • Avatar
    Quentin Hall

    Really only a problem if you are a "must upgrade to the latest - because it's the latest" MacOS X person.  I work in this industry and will upgrade either after 2 or 3 "sub-upgrades" from Apple as the bugs are ironed out. Don't forget half the time the developers of software haven't fully trialled their software - so it can be a few weeks to months before they offer solutions which could impact on your business. So best be safe - HOLD OFF.  Turn OFF all updates in the Software Updates (as suggested) and do them manually - don't let staff madly click windows that pop up.  Throw away any "INSTALL MOJAVE" files you find in the APPLICATIONS folder (where they will go before installing).  You don't know how many I find that the person has clicked but luckily NOT installed.

    I'll never load it on a production computer - I wait as having to "go back" to an earlier MacOS X is a pain (for example did one for a customer yesterday and it was over 2 hours of mucking about - BEFORE I could return his data.   The new formatting (APFS) can cause some issues when winding back as certain bits are "locked" for protection and won't easily "go".

    Even with MOST of the new Mac's coming out today, you can wind them "back" (ask your Apple person or shop). Only the "Late 2018" MacMini's etc can't do this as they are made to start only with MacOS X 10.14.

     

    Q

  • Avatar
    Peter Oram

    I understand what you're saying Quentin, and agree that it isn't always necessary to upgrade to the latest version of something. However, if I have a problem with macOS (unrelated to Genie), and phone Apple for support, the first thing that they ask is what version of macOS I'm using, and they are will not go through any trouble-shooting steps when they discover that I'm still on Sierra. For example, right now my Text Replacements aren't working, but I know from experience that Apple expects me to update to the latest operating system in case that update has solved my particular problem. (macOS Text Replacements have nothing to do with Genie - they don't work within 4D anyway - it's just a current, real example.)

  • Avatar
    Quentin Hall

    True, plus Apple does seem to always return repaired computers "with the latest available software - even when you expressly say "I want High Sierra" someone doesn't read the notes!

    I noticed that if you wanted to make a "Photo Book" from the Photos programme this year "You need to have Mojave running to send the photos".  Which forces you to do the update. I wonder if the changes really needed the new MacOS X just to send your work?

    Apple officially support the last 3 operating systems (10.12.x / 10.13.x / 10.14.x) - but sometimes you are forced to upgrade even within these 3 supported OS's.

Looking for something?